<?
$c['1'] = 'Movies';
$c['2'] = 'TV-Shows';
$c['3'] = 'Anime';
$c['4'] = 'Music';
$c['5'] = 'PC Games';
$c['6'] = 'Console';
$c['7'] = 'PC Stuff';
$c['8'] = 'Mac Stuff';
$c['9'] = 'eBooks';

error_reporting(false);
$t_s = microtime_float();
class BEncodeLib
{
	function decode_int(&$x, $f)
	{
		$int_filter = '/(0|-?[1-9][0-9]*)e/';
		$pr = preg_match($int_filter,substr($x,$f),$m);
		$result['r'] = round($m[1]);
		$result['l'] = $f + strlen($m[0]);
		return $result;
	}

	function decode_string(&$x, $f)
	{
		$string_filter = '/(0|[1-9][0-9]*):/';
		$pr = preg_match($string_filter,substr($x,$f),$m);
		$l = intval($m[1]);
		$s = $f + strlen($m[0]);
		$result['r'] = substr($x,$s,$l);
		$result['l'] = $s + $l;
		return $result;
	}

	function decode_list(&$x, $f)
	{
		$r = array();
		while($x[$f] != 'e')
		{
			$v = $this->bdecode_rec($x, $f);
			array_push($r,$v['r']);
			$f = $v['l'];
		}
		$result['r'] = $r;
		$result['l'] = $f + 1;
		return $result;
	}
	
	function decode_dict(&$x, $f)
	{
		$r = array();
		while($x[$f] != 'e')
		{
			$k = $this->decode_string($x, $f);
			$f = $k['l'];
			$v = $this->bdecode_rec($x, $f);
			$r[$k['r']] = $v['r'];
			$f = $v['l'];
		}
		$result['r'] = $r;
		$result['l'] = $f + 1;
		return $result;
	}

	function bdecode_rec(&$x, $f)
	{
		$t = $x[$f];
		if ($t == 'i')
			return $this->decode_int($x, $f + 1);
		elseif ($t == 'l')
			return $this->decode_list($x, $f + 1);
		elseif ($t == 'd')
			return $this->decode_dict($x, $f + 1);
		else
			return $this->decode_string($x, $f);
	}

	function bdecode($x)
	{
		$result = $this->bdecode_rec($x, 0);
		return $result['r'];
	}
	
	function bencode_rec($x, &$b)
	{
		if (is_numeric($x))
			$b .= 'i'.round($x).'e';
		elseif (is_string($x))
			$b .= strlen($x).':'.$x;
		elseif (is_array($x))
		{
			// Unlike Python, PHP does not have a "tuple", "list" or "dict" type
			// This code assumes arrays with purely integer indexes are lists,
			// arrays which use string indexes assumed to be dictionaries.
			$keys = array_keys($x);
			$listtype = true;
			while(list($k,$v) = each($keys))
				if (!is_integer($v)) $listtype = false;
			if ($listtype)
			{
				// List
				$b .= 'l';
				while(list($k,$v) = each($x))
					$this->bencode_rec($v, $b);
				$b .= 'e';
			}
			else
			{
				// Dictionary
				$b .= 'd';
				ksort($x);
				while(list($k,$v) = each($x))
				{
					settype($k,"string");
					$this->bencode_rec($k, $b);
					$this->bencode_rec($v, $b);
				}
				$b .= 'e';
			}
		}
	}
	
	function bencode($x)
	{
		$b = '';
		$this->bencode_rec($x, $b);
		return $b;
	}
}
function microtime_float()
{
   list($usec, $sec) = explode(" ", microtime());
   return ((float)$usec + (float)$sec);
}

function ago($date)
{
	if(!$date)
	{
		return 'never';
	}
	$t = time() - $date;
	if($t < 60)
		return $t . 's ago';
	elseif($t < 3600)
	{
		$m = $t / 60;
		$m = (int)$m;
		$s = $t % 60;
		return $m . 'm ' . $s . 's ago';
	}
	elseif($t < 86400)
	{
		$h = $t / 3600;
		$h = (int)$h;
		$m = ($t % 3600) / 60;
		$m = (int)$m;
		return $h . 'h ' . $m . 'm ago';
	}
	elseif($t < 31536000)
	{
		$d = $t / 86400;
		$d = (int)$d;
		$h = ($t % 86400) / 3600;
		$h = (int)$h;
		return $d . 'd ' . $h . 'h ago';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="style.css" type="text/css" />
<title>Your site</title>
</head>
<body>

<table align="center" width="750" cellspacing="5" cellpadding="0" border="0" style="border-bottom: solid #9EABB8 1px;margin-bottom: 10px">
<tr><td><a href="index.php" target="_top">Yoursite - BitTorrent</a></td><td align="right"><?
foreach ($c as $c_id => $c_name)
{
    echo '<a href="./?category=' . $c_id . '">' . $c_name . '</a> <strong>&middot;</strong> ';
}
?><a href="search.php">Search</a> <strong>&middot;</strong> <a href="upload.php">Upload</a></td></tr>
</table>
<table align="center" width="720" cellspacing="0" cellpadding="0" border="0">
<tr><td>
<?
if (isset($_COOKIE['admin']))
{
echo '<div class="admin">Welcome '.$_COOKIE['admin'].' <a href="logout.php">Log out</a></a></div>';
}

function footer()
{
echo '
</td></tr>
</table>
<table align="center" cellspacing="4" border="0">
<tr><td><div align="center">Powered by <a href="http://defiant.ws/">Defiant Torrent Directory<br></a></div></td></tr>
</table>
</body>
</html>
';
}
?>
